pcl::tracking::Tracker< PointInT, StateT > Class Template Referenceabstract

Tracker represents the base tracker class. More...

`#include <pcl/tracking/tracker.h>`

Inheritance diagram for pcl::tracking::Tracker< PointInT, StateT >:

## Public Types

typedef PCLBase< PointInT > | BaseClass
typedef boost::shared_ptr< Tracker< PointInT, StateT > > | Ptr
typedef boost::shared_ptr< const Tracker< PointInT, StateT > > | ConstPtr
typedef boost::shared_ptr< pcl::search::Search< PointInT > > | SearchPtr
typedef boost::shared_ptr< const pcl::search::Search< PointInT > > | SearchConstPtr
typedef pcl::PointCloud< PointInT > | PointCloudIn
typedef PointCloudIn::Ptr | PointCloudInPtr
typedef PointCloudIn::ConstPtr | PointCloudInConstPtr
typedef pcl::PointCloud< StateT > | PointCloudState
typedef PointCloudState::Ptr | PointCloudStatePtr
typedef PointCloudState::ConstPtr | PointCloudStateConstPtr
Public Types inherited from pcl::PCLBase< PointInT >
typedef pcl::PointCloud< PointInT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| Tracker ()
| Empty constructor. More...
void | compute ()
| Base method for tracking for all points given in <setInputCloud (), setIndices ()> using the indices in setIndices () More...
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (size_t row_start, size_t col_start, size_t nb_rows, size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointInT & | operator[] (size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Protected Member Functions

const std::string & | getClassName () const
| Get a string representation of the name of this class. More...
virtual bool | initCompute ()
| This method should get called before starting the actual computation. More...
void | setSearchMethod (const SearchPtr &search)
| Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset. More...
SearchPtr | getSearchMethod ()
| Get a pointer to the point cloud dataset. More...
virtual StateT | getResult () const =0
| Get an instance of the result of tracking. More...
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Protected Attributes

std::string | tracker_name_
| The tracker name. More...
SearchPtr | search_
| A pointer to the spatial search object. More...
Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

### template<typename PointInT, typename StateT>
class pcl::tracking::Tracker< PointInT, StateT >

Tracker represents the base tracker class.

Author
  Ryohei Ueda

Definition at line 56 of file tracker.h.

## Member Typedef Documentation

## BaseClass

template<typename PointInT, typename StateT>

typedef PCLBase<PointInT> pcl::tracking::Tracker< PointInT, StateT >::BaseClass

Definition at line 65 of file tracker.h.

## ConstPtr

template<typename PointInT, typename StateT>

typedef boost::shared_ptr< const Tracker<PointInT, StateT> > pcl::tracking::Tracker< PointInT, StateT >::ConstPtr

Definition at line 67 of file tracker.h.

## PointCloudIn

template<typename PointInT, typename StateT>

typedef pcl::PointCloud<PointInT> pcl::tracking::Tracker< PointInT, StateT >::PointCloudIn

Definition at line 72 of file tracker.h.

## PointCloudInConstPtr

template<typename PointInT, typename StateT>

typedef PointCloudIn::ConstPtr pcl::tracking::Tracker< PointInT, StateT >::PointCloudInConstPtr

Definition at line 74 of file tracker.h.

## PointCloudInPtr

template<typename PointInT, typename StateT>

typedef PointCloudIn::Ptr pcl::tracking::Tracker< PointInT, StateT >::PointCloudInPtr

Definition at line 73 of file tracker.h.

## PointCloudState

template<typename PointInT, typename StateT>

typedef pcl::PointCloud<StateT> pcl::tracking::Tracker< PointInT, StateT >::PointCloudState

Definition at line 76 of file tracker.h.

## PointCloudStateConstPtr

template<typename PointInT, typename StateT>

typedef PointCloudState::ConstPtr pcl::tracking::Tracker< PointInT, StateT >::PointCloudStateConstPtr

Definition at line 78 of file tracker.h.

## PointCloudStatePtr

template<typename PointInT, typename StateT>

typedef PointCloudState::Ptr pcl::tracking::Tracker< PointInT, StateT >::PointCloudStatePtr

Definition at line 77 of file tracker.h.

## Ptr

template<typename PointInT, typename StateT>

typedef boost::shared_ptr< Tracker<PointInT, StateT> > pcl::tracking::Tracker< PointInT, StateT >::Ptr

Definition at line 66 of file tracker.h.

## SearchConstPtr

template<typename PointInT, typename StateT>

typedef boost::shared_ptr<const pcl::search::Search<PointInT> > pcl::tracking::Tracker< PointInT, StateT >::SearchConstPtr

Definition at line 70 of file tracker.h.

## SearchPtr

template<typename PointInT, typename StateT>

typedef boost::shared_ptr<pcl::search::Search<PointInT> > pcl::tracking::Tracker< PointInT, StateT >::SearchPtr

Definition at line 69 of file tracker.h.

## Constructor & Destructor Documentation

## Tracker()

template<typename PointInT, typename StateT>

pcl::tracking::Tracker< PointInT, StateT >::Tracker | ( |  | ) |

inline

Empty constructor.

Definition at line 82 of file tracker.h.

## Member Function Documentation

## compute()

template<typename PointInT , typename StateT >

void pcl::tracking::Tracker< PointInT, StateT >::compute | ( |  | ) |

Base method for tracking for all points given in <setInputCloud (), setIndices ()> using the indices in setIndices ()

Definition at line 31 of file tracker.hpp.

Referenced by pcl::tracking::Tracker< PointInT, Eigen::Affine3f >::Tracker().

## getClassName()

template<typename PointInT, typename StateT>

const std::string& pcl::tracking::Tracker< PointInT, StateT >::getClassName | ( |  | ) | const

inline protected

Get a string representation of the name of this class.

Definition at line 99 of file tracker.h.

## getResult()

template<typename PointInT, typename StateT>

virtual StateT pcl::tracking::Tracker< PointInT, StateT >::getResult | ( |  | ) | const

protected pure virtual

Get an instance of the result of tracking.

Implemented in pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >, and pcl::tracking::ParticleFilterTracker< PointInT, StateT >.

Referenced by pcl::tracking::Tracker< PointInT, Eigen::Affine3f >::getSearchMethod().

## getSearchMethod()

template<typename PointInT, typename StateT>

SearchPtr pcl::tracking::Tracker< PointInT, StateT >::getSearchMethod | ( |  | ) |

inline protected

Get a pointer to the point cloud dataset.

Definition at line 117 of file tracker.h.

## initCompute()

template<typename PointInT , typename StateT >

bool pcl::tracking::Tracker< PointInT, StateT >::initCompute | ( |  | ) |

protected virtual

This method should get called before starting the actual computation.

Reimplemented in pcl::tracking::ParticleFilterTracker< PointInT, StateT >, pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >, and pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >.

Definition at line 10 of file tracker.hpp.

Referenced by pcl::tracking::Tracker< PointInT, Eigen::Affine3f >::getClassName().

## setSearchMethod()

template<typename PointInT, typename StateT>

void pcl::tracking::Tracker< PointInT, StateT >::setSearchMethod | ( | const SearchPtr & | search | ) |

inline protected

Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset.

This is optional, if this is not set, it will only use the data in the input cloud to estimate the features. This is useful when you only need to compute the features for a downsampled cloud.

Parameters

  search | a pointer to a PointCloud message

Definition at line 113 of file tracker.h.

## Member Data Documentation

## search_

template<typename PointInT, typename StateT>

SearchPtr pcl::tracking::Tracker< PointInT, StateT >::search_

protected

A pointer to the spatial search object.

Definition at line 95 of file tracker.h.

## tracker_name_

template<typename PointInT, typename StateT>

std::string pcl::tracking::Tracker< PointInT, StateT >::tracker_name_

protected

The tracker name.

Definition at line 92 of file tracker.h.

Referenced by pcl::tracking::KLDAdaptiveParticleFilterOMPTracker< PointInT, StateT >::KLDAdaptiveParticleFilterOMPTracker(), pcl::tracking::KLDAdaptiveParticleFilterTracker< PointInT, StateT >::KLDAdaptiveParticleFilterTracker(), pcl::tracking::ParticleFilterOMPTracker< PointInT, StateT >::ParticleFilterOMPTracker(), and pcl::tracking::ParticleFilterTracker< PointInT, StateT >::ParticleFilterTracker().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/tracker.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/impl/tracker.hpp